<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>AreaEvalBase (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AreaEvalBase (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":6,"i12":6,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/AreaEvalBase.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
               title="interface in org.apache.poi.ss.formula.eval"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/eval/BlankEval.html"
               title="class in org.apache.poi.ss.formula.eval"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/eval/AreaEvalBase.html"
               target="_top">Frames</a></li>
        <li><a href="AreaEvalBase.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.formula.eval</div>
    <h2 title="Class AreaEvalBase" class="title">Class AreaEvalBase</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ss.formula.eval.AreaEvalBase</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                           title="interface in org.apache.poi.ss.formula.eval">AreaEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                            title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/SheetRange.html"
                            title="interface in org.apache.poi.ss.formula">SheetRange</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/ThreeDEval.html"
                            title="interface in org.apache.poi.ss.formula">ThreeDEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                            title="interface in org.apache.poi.ss.formula">TwoDEval</a></dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../../org/apache/poi/ss/formula/CacheAreaEval.html"
                           title="class in org.apache.poi.ss.formula">CacheAreaEval</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public abstract class <span class="typeNameLabel">AreaEvalBase</span>
extends java.lang.Object
implements <a href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
              title="interface in org.apache.poi.ss.formula.eval">AreaEval</a></pre>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Josh Micich</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#AreaEvalBase-org.apache.poi.ss.formula.ptg.AreaI-">AreaEvalBase</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/AreaI.html"
                                        title="interface in org.apache.poi.ss.formula.ptg">AreaI</a>&nbsp;ptg)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#AreaEvalBase-org.apache.poi.ss.formula.ptg.AreaI-org.apache.poi.ss.formula.SheetRange-">AreaEvalBase</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/AreaI.html"
                                        title="interface in org.apache.poi.ss.formula.ptg">AreaI</a>&nbsp;ptg,
                                    <a href="../../../../../../org/apache/poi/ss/formula/SheetRange.html"
                                       title="interface in org.apache.poi.ss.formula">SheetRange</a>&nbsp;sheets)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#AreaEvalBase-int-int-int-int-">AreaEvalBase</a></span>(int&nbsp;firstRow,
                                    int&nbsp;firstColumn,
                                    int&nbsp;lastRow,
                                    int&nbsp;lastColumn)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#AreaEvalBase-org.apache.poi.ss.formula.SheetRange-int-int-int-int-">AreaEvalBase</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/formula/SheetRange.html"
                                        title="interface in org.apache.poi.ss.formula">SheetRange</a>&nbsp;sheets,
                                    int&nbsp;firstRow,
                                    int&nbsp;firstColumn,
                                    int&nbsp;lastRow,
                                    int&nbsp;lastColumn)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#contains-int-int-">contains</a></span>(int&nbsp;row,
                                    int&nbsp;col)</code>
                                    <div class="block">returns true if the cell at row and col specified
                                        as absolute indexes in the sheet is contained in
                                        this area.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#containsColumn-int-">containsColumn</a></span>(int&nbsp;col)</code>
                                    <div class="block">returns true if the specified col is in range</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#containsRow-int-">containsRow</a></span>(int&nbsp;row)</code>
                                    <div class="block">returns true if the specified row is in range</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getAbsoluteValue-int-int-">getAbsoluteValue</a></span>(int&nbsp;row,
                                    int&nbsp;col)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getFirstColumn--">getFirstColumn</a></span>()</code>
                                    <div class="block">returns the 0-based index of the first col in
                                        this area.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getFirstRow--">getFirstRow</a></span>()</code>
                                    <div class="block">returns the 0-based index of the first row in
                                        this area.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getFirstSheetIndex--">getFirstSheetIndex</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getHeight--">getHeight</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getLastColumn--">getLastColumn</a></span>()</code>
                                    <div class="block">returns the 0-based index of the last col in
                                        this area.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getLastRow--">getLastRow</a></span>()</code>
                                    <div class="block">returns the 0-based index of the last row in
                                        this area.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getLastSheetIndex--">getLastSheetIndex</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>abstract <a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getRelativeValue-int-int-">getRelativeValue</a></span>(int&nbsp;relativeRowIndex,
                                    int&nbsp;relativeColumnIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>abstract <a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getRelativeValue-int-int-int-">getRelativeValue</a></span>(int&nbsp;sheetIndex,
                                    int&nbsp;relativeRowIndex,
                                    int&nbsp;relativeColumnIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getValue-int-int-">getValue</a></span>(int&nbsp;row,
                                    int&nbsp;col)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getValue-int-int-int-">getValue</a></span>(int&nbsp;sheetIndex,
                                    int&nbsp;row,
                                    int&nbsp;col)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#getWidth--">getWidth</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#isColumn--">isColumn</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#isRow--">isRow</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html#isSubTotal-int-int-">isSubTotal</a></span>(int&nbsp;rowIndex,
                                    int&nbsp;columnIndex)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.formula.eval.AreaEval">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.formula.eval.<a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">AreaEval</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#offset-int-int-int-int-">offset</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.formula.TwoDEval">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.formula.<a
                                        href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                                        title="interface in org.apache.poi.ss.formula">TwoDEval</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html#getColumn-int-">getColumn</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html#getRow-int-">getRow</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="AreaEvalBase-org.apache.poi.ss.formula.SheetRange-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>AreaEvalBase</h4>
                                <pre>protected&nbsp;AreaEvalBase(<a
                                        href="../../../../../../org/apache/poi/ss/formula/SheetRange.html"
                                        title="interface in org.apache.poi.ss.formula">SheetRange</a>&nbsp;sheets,
                       int&nbsp;firstRow,
                       int&nbsp;firstColumn,
                       int&nbsp;lastRow,
                       int&nbsp;lastColumn)</pre>
                            </li>
                        </ul>
                        <a name="AreaEvalBase-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>AreaEvalBase</h4>
                                <pre>protected&nbsp;AreaEvalBase(int&nbsp;firstRow,
                       int&nbsp;firstColumn,
                       int&nbsp;lastRow,
                       int&nbsp;lastColumn)</pre>
                            </li>
                        </ul>
                        <a name="AreaEvalBase-org.apache.poi.ss.formula.ptg.AreaI-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>AreaEvalBase</h4>
                                <pre>protected&nbsp;AreaEvalBase(<a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/AreaI.html"
                                        title="interface in org.apache.poi.ss.formula.ptg">AreaI</a>&nbsp;ptg)</pre>
                            </li>
                        </ul>
                        <a name="AreaEvalBase-org.apache.poi.ss.formula.ptg.AreaI-org.apache.poi.ss.formula.SheetRange-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>AreaEvalBase</h4>
                                <pre>protected&nbsp;AreaEvalBase(<a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/AreaI.html"
                                        title="interface in org.apache.poi.ss.formula.ptg">AreaI</a>&nbsp;ptg,
                       <a href="../../../../../../org/apache/poi/ss/formula/SheetRange.html"
                          title="interface in org.apache.poi.ss.formula">SheetRange</a>&nbsp;sheets)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getFirstColumn--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstColumn</h4>
                                <pre>public final&nbsp;int&nbsp;getFirstColumn()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#getFirstColumn--">AreaEval</a></code></span>
                                </div>
                                <div class="block">returns the 0-based index of the first col in
                                    this area.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#getFirstColumn--">getFirstColumn</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                                title="interface in org.apache.poi.ss.formula.eval">AreaEval</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFirstRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstRow</h4>
                                <pre>public final&nbsp;int&nbsp;getFirstRow()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#getFirstRow--">AreaEval</a></code></span>
                                </div>
                                <div class="block">returns the 0-based index of the first row in
                                    this area.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#getFirstRow--">getFirstRow</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                                title="interface in org.apache.poi.ss.formula.eval">AreaEval</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLastColumn--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastColumn</h4>
                                <pre>public final&nbsp;int&nbsp;getLastColumn()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#getLastColumn--">AreaEval</a></code></span>
                                </div>
                                <div class="block">returns the 0-based index of the last col in
                                    this area.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#getLastColumn--">getLastColumn</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                                title="interface in org.apache.poi.ss.formula.eval">AreaEval</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLastRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastRow</h4>
                                <pre>public final&nbsp;int&nbsp;getLastRow()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#getLastRow--">AreaEval</a></code></span>
                                </div>
                                <div class="block">returns the 0-based index of the last row in
                                    this area.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#getLastRow--">getLastRow</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                                title="interface in org.apache.poi.ss.formula.eval">AreaEval</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFirstSheetIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstSheetIndex</h4>
                                <pre>public&nbsp;int&nbsp;getFirstSheetIndex()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/SheetRange.html#getFirstSheetIndex--">getFirstSheetIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/SheetRange.html"
                                                title="interface in org.apache.poi.ss.formula">SheetRange</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLastSheetIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastSheetIndex</h4>
                                <pre>public&nbsp;int&nbsp;getLastSheetIndex()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/SheetRange.html#getLastSheetIndex--">getLastSheetIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/SheetRange.html"
                                                title="interface in org.apache.poi.ss.formula">SheetRange</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAbsoluteValue-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAbsoluteValue</h4>
                                <pre>public final&nbsp;<a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;getAbsoluteValue(int&nbsp;row,
                                        int&nbsp;col)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#getAbsoluteValue-int-int-">getAbsoluteValue</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                                title="interface in org.apache.poi.ss.formula.eval">AreaEval</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the ValueEval from within this area at the specified row and col index. Never
                                        <code>null</code> (possibly <a
                                                href="../../../../../../org/apache/poi/ss/formula/eval/BlankEval.html"
                                                title="class in org.apache.poi.ss.formula.eval"><code>BlankEval</code></a>).
                                        The specified indexes should be absolute
                                        indexes in the sheet and not relative indexes within the area.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="contains-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>contains</h4>
                                <pre>public final&nbsp;boolean&nbsp;contains(int&nbsp;row,
                              int&nbsp;col)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#contains-int-int-">AreaEval</a></code></span>
                                </div>
                                <div class="block">returns true if the cell at row and col specified
                                    as absolute indexes in the sheet is contained in
                                    this area.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#contains-int-int-">contains</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                                title="interface in org.apache.poi.ss.formula.eval">AreaEval</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="containsRow-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>containsRow</h4>
                                <pre>public final&nbsp;boolean&nbsp;containsRow(int&nbsp;row)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#containsRow-int-">AreaEval</a></code></span>
                                </div>
                                <div class="block">returns true if the specified row is in range</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#containsRow-int-">containsRow</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                                title="interface in org.apache.poi.ss.formula.eval">AreaEval</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="containsColumn-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>containsColumn</h4>
                                <pre>public final&nbsp;boolean&nbsp;containsColumn(int&nbsp;col)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#containsColumn-int-">AreaEval</a></code></span>
                                </div>
                                <div class="block">returns true if the specified col is in range</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#containsColumn-int-">containsColumn</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                                title="interface in org.apache.poi.ss.formula.eval">AreaEval</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isColumn--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isColumn</h4>
                                <pre>public final&nbsp;boolean&nbsp;isColumn()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html#isColumn--">isColumn</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                                                title="interface in org.apache.poi.ss.formula">TwoDEval</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if the area has just a single column, this also includes
                                        the trivial case when the area has just a single cell.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isRow</h4>
                                <pre>public final&nbsp;boolean&nbsp;isRow()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html#isRow--">isRow</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                                                title="interface in org.apache.poi.ss.formula">TwoDEval</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if the area has just a single row, this also includes
                                        the trivial case when the area has just a single cell.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getHeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeight</h4>
                                <pre>public&nbsp;int&nbsp;getHeight()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#getHeight--">getHeight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                                title="interface in org.apache.poi.ss.formula.eval">AreaEval</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html#getHeight--">getHeight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                                                title="interface in org.apache.poi.ss.formula">TwoDEval</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getValue-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getValue</h4>
                                <pre>public final&nbsp;<a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;getValue(int&nbsp;row,
                                int&nbsp;col)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html#getValue-int-int-">getValue</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                                                title="interface in org.apache.poi.ss.formula">TwoDEval</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> - relative row index (zero based)</dd>
                                    <dd><code>col</code> - relative column index (zero based)</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>element at the specified row and column position</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getValue-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getValue</h4>
                                <pre>public final&nbsp;<a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;getValue(int&nbsp;sheetIndex,
                                int&nbsp;row,
                                int&nbsp;col)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/ThreeDEval.html#getValue-int-int-int-">getValue</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/ThreeDEval.html"
                                                title="interface in org.apache.poi.ss.formula">ThreeDEval</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>sheetIndex</code> - sheet index (zero based)</dd>
                                    <dd><code>row</code> - relative row index (zero based)</dd>
                                    <dd><code>col</code> - relative column index (zero based)</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>element at the specified row and column position</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRelativeValue-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRelativeValue</h4>
                                <pre>public abstract&nbsp;<a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;getRelativeValue(int&nbsp;relativeRowIndex,
                                           int&nbsp;relativeColumnIndex)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#getRelativeValue-int-int-">getRelativeValue</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                                title="interface in org.apache.poi.ss.formula.eval">AreaEval</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the ValueEval from within this area at the specified relativeRowIndex and
                                        relativeColumnIndex. Never <code>null</code> (possibly <a
                                                href="../../../../../../org/apache/poi/ss/formula/eval/BlankEval.html"
                                                title="class in org.apache.poi.ss.formula.eval"><code>BlankEval</code></a>).
                                        The
                                        specified indexes should relative to the top left corner of this area.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRelativeValue-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRelativeValue</h4>
                                <pre>public abstract&nbsp;<a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;getRelativeValue(int&nbsp;sheetIndex,
                                           int&nbsp;relativeRowIndex,
                                           int&nbsp;relativeColumnIndex)</pre>
                            </li>
                        </ul>
                        <a name="getWidth--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getWidth</h4>
                                <pre>public&nbsp;int&nbsp;getWidth()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#getWidth--">getWidth</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                                title="interface in org.apache.poi.ss.formula.eval">AreaEval</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html#getWidth--">getWidth</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                                                title="interface in org.apache.poi.ss.formula">TwoDEval</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSubTotal-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>isSubTotal</h4>
                                <pre>public&nbsp;boolean&nbsp;isSubTotal(int&nbsp;rowIndex,
                          int&nbsp;columnIndex)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html#isSubTotal-int-int-">isSubTotal</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                                                title="interface in org.apache.poi.ss.formula">TwoDEval</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>whether cell at rowIndex and columnIndex is a subtotal.
                                        By default return false which means 'don't care about subtotals'
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/AreaEvalBase.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
               title="interface in org.apache.poi.ss.formula.eval"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/eval/BlankEval.html"
               title="class in org.apache.poi.ss.formula.eval"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/eval/AreaEvalBase.html"
               target="_top">Frames</a></li>
        <li><a href="AreaEvalBase.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
